#****************************************************************************
#**
#**  File     :  /cdimage/units/UAS0103/UAS0103_script.lua
#**  Author(s):  John Comes, David Tomandl, Jessica St. Croix
#**
#**  Summary  :  Aeon Frigate Script: UAS0103
#**
#**  Copyright © 2005 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************

local ASeaUnit = import('/lua/aeonunits.lua').ASeaUnit
local AeonWeapons = import('/lua/aeonweapons.lua')
local ADFQuantumAutogunWeapon = AeonWeapons.ADFQuantumAutogunWeapon
local ADFCannonOblivionWeapon = AeonWeapons.ADFCannonOblivionWeapon
local AANDepthChargeBombWeapon = AeonWeapons.AANDepthChargeBombWeapon
local EffectTemplate = import('/lua/EffectTemplates.lua')


tcsa0201 = Class(ASeaUnit) {

    Weapons = {
        MainGun = Class(ADFQuantumAutogunWeapon) {},
        MainGun2 = Class(ADFCannonOblivionWeapon) {			
            FxMuzzleFlash = EffectTemplate.AQuantumCannonMuzzle02
        },
        Torpedo01 = Class(AANDepthChargeBombWeapon) {},
    },
}

TypeClass = tcsa0201
